<?php

/* Script by BoxBR Apks Rebrand - https://boxbrapk.me / http://boxbr.k6.com.br */
session_start();

if (!isset($_SESSION['loggedin'])) {
	header('location:login.php');
	exit();
}

$dbboxbr = new SQLite3('./api/.boxbrdb.db');
$dbboxbr->exec('CREATE TABLE IF NOT EXISTS key(id INTEGER PRIMARY KEY NOT NULL, apikey VARCHAR(100))');
$dbboxbr->exec('CREATE TABLE IF NOT EXISTS dns(id INTEGER PRIMARY KEY NOT NULL,title VARCHAR(100),url VARCHAR(100))');
$dbboxbr->exec('CREATE TABLE IF NOT EXISTS users(id INTEGER PRIMARY KEY NOT NULL,username VARCHAR(100),password VARCHAR(100),expire_date TEXT)');

$dns_count = $dbboxbr->query('SELECT COUNT(*) as count FROM dns');
$dns_count = $dns_count->fetchArray();
$dns_count = $dns_count['count'];

$user_count = $dbboxbr->query('SELECT COUNT(*) as count FROM users');
$user_count = $user_count->fetchArray();
$user_count = $user_count['count'];

$dbboxbrpainel = new SQLite3('./api/.boxbrpanels.db');
$resboxbr = $dbboxbrpainel->query('SELECT * ' . "\n\t\t\t\t" . '  FROM USERS ' . "\n\t\t\t\t" . '  WHERE ID=\'1\'');
$rowboxbr = $resboxbr->fetchArray();
$nameboxbr = $rowboxbr['NAME'];
$logoboxbr = $rowboxbr['LOGO'];
echo '<!DOCTYPE html>' . "\n";
echo '<html lang="en">' . "\n";
echo "\n";
echo '<head>' . "\n";
echo "\n";
$jsondata111 = file_get_contents('./includes/boxbr.json');
$json111 = json_decode($jsondata111, true);
$col1 = $json111['info'];
$col2 = $col1['aa'];
$col3 = $col2;
echo '  <meta charset="utf-8">' . "\n";
echo '  <meta http-equiv="X-UA-Compatible" content="IE=edge">' . "\n";
echo '  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">' . "\n";
echo '  <meta name="description" content="">' . "\n";
echo '  <meta name="author" content="">' . "\n";
echo '  <meta name="google" content="notranslate">' . "\n";
echo '  <script src="https://kit.fontawesome.com/3794d2f89f.js" crossorigin="anonymous"></script>' . "\n";
echo '  <title>Cinema HD v2++ Manager</title>' . "\n";
echo '  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '  <link rel="icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '  <!-- Custom styles for this template-->' . "\n";
echo '  <link href="css/sb-admin-' . $col2 . '.css" rel="stylesheet">' . "\n";
echo '  <link rel="stylesheet" type="text/css" href="css/jquery.datetimepicker.min.css"/>' . "\n";
echo '  <!-- Custom fonts for this template-->' . "\n";
echo '  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">' . "\n";
echo '  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">' . "\n";
echo ' ' . "\n";
echo '</head> ' . "\n";
echo '<body id="page-top">' . "\n";
echo "\n";
echo '  <!-- Page Wrapper -->' . "\n";
echo '  <div id="wrapper">' . "\n";
echo "\n";
echo '    <!-- Sidebar -->' . "\n";
echo '    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">' . "\n";
echo "\n";

if ($logoboxbr != NULL) {
	echo '      <!-- Sidebar - Brand -->' . "\n";
	echo '      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="colour.php">' . "\n";
	echo '        <div class="sidebar-brand-icon">' . "\n";
	echo '          <img class="img-profile rounded-circle" width="65px" src="' . $logoboxbr . '">' . "\n";
	echo '        </div>' . "\n";
}
else {
	echo '      <!-- Sidebar - Brand -->' . "\n";
	echo '      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="colour.php">' . "\n";
	echo '        <div class="sidebar-brand-icon">' . "\n";
	echo '          <img class="img-profile rounded-circle" width="65px" src="img/logo.png">' . "\n";
	echo '        </div>' . "\n";
}

echo "\n";
echo '      </a>' . "\n";
echo "\n";
echo '      <!-- Divider -->' . "\n";
echo '      <hr class="sidebar-divider my-0">' . "\n";
echo "\n";
echo '      <!-- Nav Item -->' . "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="dashkey.php">' . "\n";
echo '          <i class="fas fa-fw fa-solid fa-key"></i>' . "\n";
echo '          <span>Api Keys</span></a>' . "\n";
echo '      </li>' . "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="users.php">' . "\n";
echo '          <i class="fas fa-fw fa-user-plus"></i>' . "\n";
echo '          <span>Users ('.$user_count.')</span></a>' . "\n";
echo '      </li>' . "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="dns.php">' . "\n";
echo '          <i class="fas fa-fw fa-server"></i>' . "\n";
echo '          <span>Dns ('.$dns_count.')</span></a>' . "\n";
echo '      </li>' . "\n";
echo "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="snoop.php">' . "\n";
echo '          <i class="fas fa-fw fa-eye"></i>' . "\n";
echo '          <span>Snoop</span></a>' . "\n";
echo '      </li>' . "\n";
echo '      ' . "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="profile.php">' . "\n";
echo '          <i class="fas fa-fw fa-user"></i>' . "\n";
echo '          <span>Profile</span></a>' . "\n";
echo '      </li>' . "\n";
echo '      ' . "\n";
echo '      <li class="nav-item">' . "\n";
echo '        <a class="nav-link" href="logout.php">' . "\n";
echo '          <i class="fas fa-fw fa fa-sign-out"></i>' . "\n";
echo '          <span>Logout</span></a>' . "\n";
echo '      </li>' . "\n";
echo '         <footer class="sticky-footer">' . "\n";
echo '          <div class="copyright text-center">' . "\n";
echo '            <span></a></span>';
echo '    </ul>' . "\n";
echo '    <!-- End of Sidebar -->' . "\n";
echo "\n";
echo '    <!-- Content Wrapper -->' . "\n";
echo '    <div id="content-wrapper" class="d-flex flex-column">' . "\n";
echo "\n";
echo '      <!-- Main Content -->' . "\n";
echo '      <div id="content">' . "\n";
echo "\n";
echo '        <!-- Topbar -->' . "\n";
echo '        <nav class="navbar navbar-expand navbar-light  topbar mb-4 static-top shadow">' . "\n";
echo "\n";
echo '          <!-- Sidebar Toggle (Topbar) -->' . "\n";
echo '          <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">' . "\n";
echo '            <i class="fa fa-bars"></i>' . "\n";
echo '          </button>' . "\n";
echo '<div><h5 class="m-0 text-primary">BoxBR Cinema HD v2++ Manager<br>' . $nameboxbr . ' </br></h5></div>' . "\n";
echo "\n";
echo '          <!-- Topbar Navbar -->' . "\n";
echo '          <ul class="navbar-nav ml-auto">' . "\n";
echo "\n";
echo "\n";
echo '            <div class="topbar-divider d-none d-sm-block"></div>' . "\n";
echo "\n";
echo '            <!-- Nav Item - Logout -->' . "\n";
echo '            <li class="nav-item dropdown no-arrow mx-1">' . "\n";
echo '              <a class="nav-link dropdown-toggle" href="logout.php"><span class="badge badge-danger">Logout</span>' . "\n";
echo '                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-red-400"></i>' . "\n";
echo '              </a>' . "\n";
echo '            </li>' . "\n";
echo "\n";
echo '          </ul>' . "\n";
echo "\n";
echo '        </nav>' . "\n";
echo '        <!-- End of Topbar -->' . "\n";
echo "\n";

?>